Bug 60900 - Slow logins using kdm
Slow logins using kdm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-08 13:45 EST by Forrest
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-26 16:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kgreeter patch that doesn't check for empty password (383 bytes, patch)
2002-03-25 19:37 EST, Forrest
no flags Details | Diff

  None (edit)
Description Forrest 2002-03-08 13:45:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020115

Description of problem:
Running kdm in runlevel 5, I am getting 3-4 second delays after I type in the
username, before it will move to the password entry.  gdm does not have this delay.

If I replace the pam_stack.so entries in /etc/pam.d/kde with the entries in
/etc/pam.d/system-auth, it works without any delay.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use the kdm login manager
2. Type in the username
3. Experience the delay before being allowed to enter the password
	

Actual Results:  A delay of 3-4 seconds even on my quickest machines

Expected Results:  No delay

Additional info:
Comment 1 Nalin Dahyabhai 2002-03-08 14:31:48 EST
Does kdm still exhibit the same problem if you replace its PAM configuration
with the one used by gdm, or xdm?  If it does, then I'm suspecting it's a kdm bug.
Comment 2 Forrest 2002-03-09 02:45:15 EST
Yes, kdm still exhibits the same problem if I replace kde with gdm in
/etc/pam.d.  They were the same except for a tab on the last line.
Comment 3 Forrest 2002-03-25 19:37:16 EST
Created attachment 50344 [details]
kgreeter patch that doesn't check for empty password
Comment 4 Forrest 2002-03-25 19:40:29 EST
In talking with the KDE guys, they figured out the problem.  It seems that when
using the [Enter] key, it would try the username with a blank password.  If that
didn't work, it would go to the password entry.  Using [Tab] would alleviate the
timeout.  The fix was a patch to kgreeter.cpp commenting out one line.  They
have entered it into CVS.
Comment 5 Terry Griffin 2002-03-28 11:38:29 EST
There may be more to this problem than what was found by the KDE folks. I find that the delay is associated with the display of the Red Hat logo. In 
my case I'm connecting via XDMCP. When the login screen first comes up there is no logo. If I type in my username and then try to tab to the 
password field, the focus remains stuck in the username field *until* the Red Hat logo finally gets around to being display. Then focus moves  to 
the password field and I can proceed normally.

If I wait for the Red Hat logo go come up before I even start typing my username, then there is no delay between the username field and the 
password field.
Comment 6 Forrest 2003-08-26 16:27:39 EDT
This has been fixed for a while...

Note You need to log in before you can comment on or make changes to this bug.